Subject: Re: bug#57503: 28.1.91; package-selected-packages should not be saved to custom-file

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 05 Sep 2022 21:04:52 +0200

Robert Pluim <[email-masked]> writes:

>     Lars> Oh, I didn't know that it was automatically recreated.  Then
>     Lars> what's the
>     Lars> point of the variable?  According to the doc string:

So it just caches data to speed things up, I guess?  

> Of course one use case that breaks is to do
>
> emacs-29->emacs-28, *delete* some packages, and then go back to
> emacs-29, which will pick up the old multi-session value.
>
> I guess we could change emacs-29 to refresh the multi-session value
> every time you run `list-packages'.

Hm.  Or...  refresh the value if the .emacs.d/elpa directory has fresher
contents than the multisession variable, but I don't know whether that's
faster.